/* Define color for light / dark modes */

/* Light mode styles */
[data-md-color-scheme="default"] {
    --md-primary-fg-color: #009898; /* Custom light mode primary color */
    --md-accent-fg-color: #007a7a;  /* Custom light mode accent color */
    --md-default-bg-color: #ffffff; /* Background */
    --md-text-color: #333333; /* Text */
}

/* Dark mode styles */
[data-md-color-scheme="slate"] {
    --md-primary-fg-color: #009898; /* Custom dark mode primary color */
    --md-accent-fg-color: #4db7b7;  /* Custom dark mode accent color */
    --md-default-bg-color: #101218; /* Background */
    --md-text-color: #dddddd; /* Text */
}

/* Define vertical lines for tables */

.md-typeset table {
    border-collapse: collapse;
    border-top: 1px solid #ddd;  /* Ensures top border is visible */
}

.md-typeset table th,
.md-typeset table td {
    border: 1px solid #ddd;
}

/* Specifically add the top border */
.md-typeset table thead {
    border-top: 1px solid #ddd;
}

/* User-defined table width via class="w10"*/
.w10 {
    width: 10%;
}

.w20 {
    width: 20%;
}

.w30 {
    width: 30%;
}

.w40 {
    width: 40%;
}

.w50 {
    width: 50%;
}

.w60 {
    width: 60%;
}

.w70 {
    width: 70%;
}

.w80 {
    width: 80%;
}

.w90 {
    width: 90%;
}
